:root {
    font-family: "Times New Roman", Times, serif !important;
}

.custom-block {
    border-radius: 20px;
    position: relative;
    overflow: hidden;
    padding: 30px;
    transition: all 0.3s ease;
    height: 100%;
}

.custom-block-image {
    display: block;
    width: 100%;
    height: 200px;
    object-fit: cover;
    margin-top: 35px;
    border-radius: 1000px;
    transition: all 0.3s ease;
}

.badge {
    --bs-badge-padding-x: 0.65em;
    --bs-badge-padding-y: 0.35em;
    --bs-badge-font-size: 0.75em;
    --bs-badge-font-weight: 700;
    --bs-badge-color: #fff;
    --bs-badge-border-radius: 0.375rem;
    display: inline-block;
    padding: var(--bs-badge-padding-y) var(--bs-badge-padding-x);
    font-size: var(--bs-badge-font-size);
    font-weight: var(--bs-badge-font-weight);
    line-height: 1;
    color: var(--bs-badge-color);
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: var(--bs-badge-border-radius);
}

.bg-design {
    background-color: #000;
}

.logo-img {
    width: 70%;
}

/*---------------------------------------
  About VALUE, MISSION, VISION TIMELINE              
-----------------------------------------*/
.timeline-section {
    background-image: url("../images/timeline_bg.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: relative;
}

.timeline-container .vertical-scrollable-timeline {
    list-style-type: none;
    position: relative;
    padding-left: 0;
}

.timeline-container .vertical-scrollable-timeline .list-progress {
    width: 8px;
    height: 87%;
    background-color: #c5140f;
    position: absolute;
    left: 52px;
    top: 0;
    overflow: hidden;
}

.timeline-container .vertical-scrollable-timeline .list-progress .inner {
    position: absolute;
    right: 0;
    bottom: 0;
    height: 100%;
    background-color: #0a4a72;
    width: 100%;
}

.timeline-container .vertical-scrollable-timeline li {
    position: relative;
    padding: 20px 0px 65px 145px;
}

.timeline-container .vertical-scrollable-timeline li:last-child {
    padding-bottom: 0;
}

.timeline-container .vertical-scrollable-timeline li p {
    line-height: 40px;
}

.timeline-container .vertical-scrollable-timeline li p:last-child {
    margin-bottom: 0;
}

.timeline-container .vertical-scrollable-timeline li .icon-holder {
    position: absolute;
    left: 0;
    top: 0;
    width: 104px;
    height: 104px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #0a4a72;
    border-radius: 50%;
    z-index: 1;
    transition: 0.4s all;
}

.timeline-container .vertical-scrollable-timeline li .icon-holder::before {
    content: "";
    width: 80px;
    height: 80px;
    border: 4px solid #fff;
    position: absolute;
    background-color: #0a4a72;
    border-radius: 50%;
    z-index: -1;
    transition: 0.4s all;
}

.timeline-container .vertical-scrollable-timeline li .icon-holder i {
    font-size: 25px;
    color: #fff;
}

.timeline-container .vertical-scrollable-timeline li::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 8px;
    background-color: transparent;
    left: 52px;
    z-index: 0;
}

.timeline-container .vertical-scrollable-timeline li.active .icon-holder {
    background-color: #c5140f;
}

.timeline-container
    .vertical-scrollable-timeline
    li.active
    .icon-holder::before {
    background-color: #c5140f;
}

/*---------------------------------------
  ABOUT PAGE SECTION               
-----------------------------------------*/
.about-section-padding {
    padding-top: 100px;
    padding-bottom: 100px;
}

.about-section-bg {
    background-color: #fdfefd;
}

.about-section-overlay {
    background-image: linear-gradient(15deg, #0a4a72 0%, #0a4a72 100%);
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    width: 100%;
    height: 100%;
    opacity: 0.85;
}

.about-section-overlay + .container {
    position: relative;
}

/*---------------------------------------
    CUSTOM BUTTON               
  -----------------------------------------*/
.about-timeline-custom-btn {
    background: #c5140f;
    border: 2px solid transparent;
    border-radius: 100px;
    color: #fdfefd;
    line-height: normal;
    transition: all 0.3s;
    padding: 10px 20px;
    font-weight: 900;
    font-size: x-large;
}

.about-timeline-custom-btn:hover {
    background: #c5140f;
    color: #fdfefd;
}

.about-timeline-custom-border-btn {
    background: transparent;
    border: 2px solid #c5140f;
    color: #fdfefd;
}

.about-timeline-custom-border-btn:hover {
    background: #c5140f;
    border-color: transparent;
    color: #fdfefd;
}

.about-timeline-custom-btn-bg-white {
    border-color: #fdfefd;
    color: #fdfefd;
}

/* 
---------------------------------------------
About Style
--------------------------------------------- 
*/

.about-section {
    padding-top: 130px;
    padding-bottom: 130px;
}

.about-right-content p {
    margin-top: 30px;
    margin-bottom: 45px;
}

.skills-content {
    position: relative;
    z-index: 1;
    margin-top: -50px;
    background-color: #f5f5f5;
    border-bottom-right-radius: 50px;
    border-bottom-left-radius: 50px;
    padding: 110px 0px 50px 0px;
}

.skill-item {
    text-align: center;
}

.progress {
    width: 150px;
    height: 150px;
    line-height: 150px;
    background: none;
    margin: 0 auto;
    box-shadow: none;
    position: relative;
}
.progress:after {
    content: "";
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 5px solid #fff;
    position: absolute;
    top: 0;
    left: 0;
}
.progress > span {
    width: 50%;
    height: 100%;
    overflow: hidden;
    position: absolute;
    top: 0;
    z-index: 1;
}
.progress .progress-left {
    left: 0;
}
.progress .progress-bar {
    width: 100%;
    height: 100%;
    background: none;
    border-width: 5px;
    border-style: solid;
    position: absolute;
    top: 0;
    border-color: #0a4a72;
}

.first-skill-item .progress .progress-bar {
    border-color: #0a4a72;
}

.second-skill-item .progress .progress-bar {
    border-color: #c5140f;
}

.third-skill-item .progress .progress-bar {
    border-color: #fba512;
}

.progress .progress-left .progress-bar {
    left: 100%;
    border-top-right-radius: 75px;
    border-bottom-right-radius: 75px;
    border-left: 0;
    -webkit-transform-origin: center left;
    transform-origin: center left;
}
.progress .progress-right {
    right: 0;
}
.progress .progress-right .progress-bar {
    left: -100%;
    border-top-left-radius: 75px;
    border-bottom-left-radius: 75px;
    border-right: 0;
    -webkit-transform-origin: center right;
    transform-origin: center right;
}
.progress .progress-value {
    text-align: center;
    color: #2a2a2a;
    display: flex;
    width: 100%;
    border-radius: 50%;
    font-size: 35px;
    text-align: center;
    line-height: 25px;
    align-items: center;
    justify-content: center;
    height: 100%;
    font-weight: 700;
}
.progress .progress-value div {
    margin-top: 10px;
}
.progress .progress-value span {
    font-size: 18px;
    text-transform: uppercase;
    color: #afafaf;
    font-weight: 300;
}

/* This for loop creates the  necessary css animation names 
  Due to the split circle of progress-left and progress right, we must use the animations on each side. 
  */
.progress[data-percentage="10"] .progress-right .progress-bar {
    animation: loading-1 1.5s linear forwards;
}
.progress[data-percentage="10"] .progress-left .progress-bar {
    animation: 0;
}

.progress[data-percentage="20"] .progress-right .progress-bar {
    animation: loading-2 1.5s linear forwards;
}
.progress[data-percentage="20"] .progress-left .progress-bar {
    animation: 0;
}

.progress[data-percentage="30"] .progress-right .progress-bar {
    animation: loading-3 1.5s linear forwards;
}
.progress[data-percentage="30"] .progress-left .progress-bar {
    animation: 0;
}

.progress[data-percentage="40"] .progress-right .progress-bar {
    animation: loading-4 1.5s linear forwards;
}
.progress[data-percentage="40"] .progress-left .progress-bar {
    animation: 0;
}

.progress[data-percentage="50"] .progress-right .progress-bar {
    animation: loading-5 1.5s linear forwards;
}
.progress[data-percentage="50"] .progress-left .progress-bar {
    animation: 0;
}

.progress[data-percentage="60"] .progress-right .progress-bar {
    animation: loading-5 1.5s linear forwards;
}
.progress[data-percentage="60"] .progress-left .progress-bar {
    animation: loading-1 1.5s linear forwards 1.5s;
}

.progress[data-percentage="70"] .progress-right .progress-bar {
    animation: loading-5 1.5s linear forwards;
}
.progress[data-percentage="70"] .progress-left .progress-bar {
    animation: loading-2 1.5s linear forwards 1.5s;
}

.progress[data-percentage="80"] .progress-right .progress-bar {
    animation: loading-5 1.5s linear forwards;
}
.progress[data-percentage="80"] .progress-left .progress-bar {
    animation: loading-3 1.5s linear forwards 1.5s;
}

.progress[data-percentage="90"] .progress-right .progress-bar {
    animation: loading-5 1.5s linear forwards;
}
.progress[data-percentage="90"] .progress-left .progress-bar {
    animation: loading-4 1.5s linear forwards 1.5s;
}

.progress[data-percentage="100"] .progress-right .progress-bar {
    animation: loading-5 1.5s linear forwards;
}
.progress[data-percentage="100"] .progress-left .progress-bar {
    animation: loading-5 1.5s linear forwards 1.5s;
}

@keyframes loading-1 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(36);
        transform: rotate(36deg);
    }
}
@keyframes loading-2 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(72);
        transform: rotate(72deg);
    }
}
@keyframes loading-3 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(108);
        transform: rotate(108deg);
    }
}
@keyframes loading-4 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(144);
        transform: rotate(144deg);
    }
}
@keyframes loading-5 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(180);
        transform: rotate(180deg);
    }
}
.progress {
    margin-bottom: 1em;
}

/* 
---------------------------------------------
contact
--------------------------------------------- 
*/

.locate-us-section {
    padding-top: 80px;
    margin-bottom: 100px;
}

.locate-us-section .section-heading .line-dec {
    margin: 0 auto;
}

.locate-us-section .section-heading {
    text-align: center;
    margin-bottom: 80px;
}

#contact {
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.1);
    position: relative;
    background-color: #fff;
    border-radius: 23px;
    text-align: center;
}

#contact #map iframe {
    border-top-left-radius: 23px;
    border-bottom-left-radius: 23px;
    margin-bottom: -7px;
    position: relative;
    z-index: 2;
}

.fill-form {
    padding: 80px 60px 80px 30px;
}

.fill-form .info-post {
    margin-bottom: 20px;
}

.fill-form .icon {
    text-align: start;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.1);
    border-radius: 23px;
    padding: 25px 15px;
    width: 100%;
}

.fill-form .icon img {
    max-width: 60px;
    display: block;
    margin: 0 auto;
}

.fill-form .icon a {
    display: inline-block;
    font-size: 15px;
    font-weight: 500;
    color: #2a2a2a;
    transition: all 0.3s;
    width: 100%;
}

.fill-form .icon:hover a {
    color: #4da6e7;
}

#contact .fill-form {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 636px; /* Match the height of the map */
}

#contact .info-post {
    flex: 1;
    display: flex;
    align-items: center;
}

#contact .info-post .icon {
    display: flex;
    align-items: center;
}

#contact .info-post img {
    margin-right: 10px;
}

.submission-loader {
    min-height: 3rem;
    min-width: 14rem;
    font-size: 2rem;
    position: relative;
    overflow: hidden;
    mask-image: linear-gradient(
        to right,
        rgba(0, 0, 0, 0),
        rgba(0, 0, 0, 1) 30%,
        rgba(0, 0, 0, 1) 70%,
        rgba(0, 0, 0, 0)
    );
}

.letter {
    width: 1ch;
    position: absolute;
    top: 50%;
    transform: translate(0px, -50%);
    left: 100%;
    animation: scroll 4.5s linear infinite;
}

@keyframes scroll {
    to {
        left: -1ch;
    }
}

.letter1 {
    animation-delay: calc(2.5s / 13 * (13 - 1) * -1);
}
.letter2 {
    animation-delay: calc(2.5s / 13 * (13 - 2) * -1);
}
.letter3 {
    animation-delay: calc(2.5s / 13 * (13 - 3) * -1);
}
.letter4 {
    animation-delay: calc(2.5s / 13 * (13 - 4) * -1);
}
.letter5 {
    animation-delay: calc(2.5s / 13 * (13 - 5) * -1);
}
.letter6 {
    animation-delay: calc(2.5s / 13 * (13 - 6) * -1);
}
.letter7 {
    animation-delay: calc(2.5s / 13 * (13 - 7) * -1);
}
.letter8 {
    animation-delay: calc(2.5s / 13 * (13 - 8) * -1);
}
.letter9 {
    animation-delay: calc(2.5s / 13 * (13 - 9) * -1);
}
.letter10 {
    animation-delay: calc(2.5s / 13 * (13 - 10) * -1);
}
.letter11 {
    animation-delay: calc(2.5s / 13 * (13 - 11) * -1);
}
.letter12 {
    animation-delay: calc(2.5s / 13 * (13 - 12) * -1);
}
.letter13 {
    animation-delay: calc(2.5s / 13 * (13 - 13) * -1);
}
